
_pcf8574:

;pic18f2550_pcf8574.c,1 :: 		int pcf8574(unsigned short port) {
;pic18f2550_pcf8574.c,3 :: 		if (port > 7) return 1;
	MOVF        FARG_pcf8574_port+0, 0 
	SUBLW       7
	BTFSC       STATUS+0, 0 
	GOTO        L_pcf85740
	MOVLW       1
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	GOTO        L_end_pcf8574
L_pcf85740:
;pic18f2550_pcf8574.c,5 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;pic18f2550_pcf8574.c,6 :: 		I2C1_Wr(0x40);
	MOVLW       64
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;pic18f2550_pcf8574.c,7 :: 		I2C1_Wr(1 << port); // set required port 0 ... 7
	MOVF        FARG_pcf8574_port+0, 0 
	MOVWF       R0 
	MOVLW       1
	MOVWF       FARG_I2C1_Wr_data_+0 
	MOVF        R0, 0 
L__pcf85746:
	BZ          L__pcf85747
	RLCF        FARG_I2C1_Wr_data_+0, 1 
	BCF         FARG_I2C1_Wr_data_+0, 0 
	ADDLW       255
	GOTO        L__pcf85746
L__pcf85747:
	CALL        _I2C1_Wr+0, 0
;pic18f2550_pcf8574.c,8 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;pic18f2550_pcf8574.c,10 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;pic18f2550_pcf8574.c,11 :: 		}
L_end_pcf8574:
	RETURN      0
; end of _pcf8574

_pcf8574Clear:

;pic18f2550_pcf8574.c,13 :: 		int pcf8574Clear(void) {
;pic18f2550_pcf8574.c,15 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;pic18f2550_pcf8574.c,16 :: 		I2C1_Wr(0x40);
	MOVLW       64
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;pic18f2550_pcf8574.c,17 :: 		I2C1_Wr(0x00); // clear all ports
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;pic18f2550_pcf8574.c,18 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;pic18f2550_pcf8574.c,20 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;pic18f2550_pcf8574.c,21 :: 		}
L_end_pcf8574Clear:
	RETURN      0
; end of _pcf8574Clear

_main:

;pic18f2550_pcf8574.c,23 :: 		void main() {
;pic18f2550_pcf8574.c,25 :: 		ADCON1 = 0b00001111;//All digital
	MOVLW       15
	MOVWF       ADCON1+0 
;pic18f2550_pcf8574.c,26 :: 		ADCON0 = 0b00101100;
	MOVLW       44
	MOVWF       ADCON0+0 
;pic18f2550_pcf8574.c,27 :: 		UCON.USBEN = 0;
	BCF         UCON+0, 3 
;pic18f2550_pcf8574.c,28 :: 		SSPCON1.SSPEN = 1; // SDA e SCL porta serial
	BSF         SSPCON1+0, 5 
;pic18f2550_pcf8574.c,30 :: 		I2C1_Init(100000);
	MOVLW       50
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;pic18f2550_pcf8574.c,32 :: 		while(1) {
L_main1:
;pic18f2550_pcf8574.c,33 :: 		pcf8574(0);
	CLRF        FARG_pcf8574_port+0 
	CALL        _pcf8574+0, 0
;pic18f2550_pcf8574.c,34 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
;pic18f2550_pcf8574.c,35 :: 		pcf8574Clear();
	CALL        _pcf8574Clear+0, 0
;pic18f2550_pcf8574.c,36 :: 		delay_ms(500);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
;pic18f2550_pcf8574.c,37 :: 		}
	GOTO        L_main1
;pic18f2550_pcf8574.c,40 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
