int pcf8574(unsigned short port) {

    if (port > 7) return 1;

    I2C1_Start();
    I2C1_Wr(0x40);
    I2C1_Wr(1 << port); // set required port 0 ... 7
    I2C1_Stop();

    return 0;
}

int pcf8574Clear(void) {

    I2C1_Start();
    I2C1_Wr(0x40);
    I2C1_Wr(0x00); // clear all ports
    I2C1_Stop();

    return 0;
}

void main() {

     ADCON1 = 0b00001111;//All digital
     ADCON0 = 0b00101100;
     UCON.USBEN = 0;
     SSPCON1.SSPEN = 1;
     
     I2C1_Init(100000);
     
     while(1) {
        pcf8574(0);
        delay_ms(500);
        pcf8574Clear();
        delay_ms(500);
     }
     
     return;
}