#line 1 "C:/Users/Konstantin/Desktop/pic18f2550_pcf8574/code/pic18f2550_pcf8574.c"
int pcf8574(unsigned short port) {

 if (port > 7) return 1;

 I2C1_Start();
 I2C1_Wr(0x40);
 I2C1_Wr(1 << port);
 I2C1_Stop();

 return 0;
}

int pcf8574Clear(void) {

 I2C1_Start();
 I2C1_Wr(0x40);
 I2C1_Wr(0x00);
 I2C1_Stop();

 return 0;
}

void main() {

 ADCON1 = 0b00001111;
 ADCON0 = 0b00101100;
 UCON.USBEN = 0;
 SSPCON1.SSPEN = 1;

 I2C1_Init(100000);

 while(1) {
 pcf8574(0);
 delay_ms(500);
 pcf8574Clear();
 delay_ms(500);
 }

 return;
}
